---
title: Get IP address details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Radar](https://developers.cloudflare.com/api/go/resources/radar)

[Entities](https://developers.cloudflare.com/api/go/resources/radar/subresources/entities)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get IP address details

client.Radar.Entities.Get(ctx, query) (\*[EntityGetResponse](<https://developers.cloudflare.com/api/go/resources/radar#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)>), error)

GET/radar/entities/ip

Retrieves IP address information.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

<details>

<summary>

query EntityGetParams

</summary>

IP param.Field\[string]

IP address.

formatipv4

<a href="#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20ip">Link to this property</a>

<details>

<summary>

Format param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/entities/methods/get#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">EntityGetParamsFormat</a>]Optional

Format in which results will be returned.

</summary>

const EntityGetParamsFormatJson <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/entities/methods/get#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">EntityGetParamsFormat</a> = "JSON"

<a href="#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const EntityGetParamsFormatCsv <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/entities/methods/get#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">EntityGetParamsFormat</a> = "CSV"

<a href="#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type EntityGetResponse struct{…}

</summary>

<details>

<summary>

IP EntityGetResponseIP

</summary>

ASN string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asn">Link to this property</a>

ASNLocation string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asnLocation">Link to this property</a>

ASNName string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asnName">Link to this property</a>

ASNOrgName string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asnOrgName">Link to this property</a>

IP string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20ip">Link to this property</a>

IPVersion string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20ipVersion">Link to this property</a>

Location string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20location">Link to this property</a>

LocationName string

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20locationName">Link to this property</a>

</details>

<a href="#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)%20%3E%20(property)%20ip">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.entities%20%3E%20(model)%20EntityGetResponse%20%3E%20(schema)>)

### Get IP address details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  entity, err := client.Radar.Entities.Get(context.TODO(), radar.EntityGetParams{
    IP: cloudflare.F("8.8.8.8"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", entity.IP)
}
```

200 example

```
{
  "result": {
    "ip": {
      "asn": "15169",
      "asnLocation": "US",
      "asnName": "GOOGLE",
      "asnOrgName": "Google LLC",
      "ip": "8.8.8.8",
      "ipVersion": "IPv4",
      "location": "GB",
      "locationName": "United Kingdom"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "ip": {
      "asn": "15169",
      "asnLocation": "US",
      "asnName": "GOOGLE",
      "asnOrgName": "Google LLC",
      "ip": "8.8.8.8",
      "ipVersion": "IPv4",
      "location": "GB",
      "locationName": "United Kingdom"
    }
  },
  "success": true
}
```